<?php
/**
 * @package        Joomla
 * @subpackage     Event Booking
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

$bootstrapHelper   = EventbookingHelperBootstrap::getInstance();
$controlGroupClass = $bootstrapHelper->getClassMapping('control-group');
$controlLabelClass = $bootstrapHelper->getClassMapping('control-label');
$controlsClass     = $bootstrapHelper->getClassMapping('controls');

if ($showCategory)
{
	$lists['category_id'] = JHtml::_('select.genericlist', $categoryOptions, 'category_id', [
		'option.text.toHtml' => false,
		'list.attr'          => 'class="inputbox category_box' . $bootstrapHelper->getFrameworkClass('form-control', 1) . '"',
		'option.text'        => 'text',
		'option.key'         => 'value',
		'list.select'        => $categoryId,
	]);
}

if ($showLocation)
{
	$lists['location_id']     = JHtml::_('select.genericlist', $locationOptions, 'location_id', ' class="inputbox location_box' . $bootstrapHelper->getFrameworkClass('form-control', 1) . '"', 'id', 'name', $locationId);
}

if ($enableRadiusSearch)
{
	$lists['filter_distance'] = JHtml::_('select.genericlist', $distanceOptions, 'filter_distance', ' class="inputbox location_box' . $bootstrapHelper->getFrameworkClass('form-control', 1) . '" ', 'value', 'text', $filterDistance);
}
?>					
<form method="post" name="eb_search_form" id="eb_search_form" action="<?php echo JRoute::_('index.php?option=com_eventbooking&task=search&&Itemid='.$itemId);  ?>" class="form">
    <div class="<?php echo $controlGroupClass; ?>">
        <div class="<?php echo $controlsClass; ?>">
            <input name="search" id="search_eb_box" maxlength="50"  class="inputbox<?php echo $bootstrapHelper->getFrameworkClass('form-control', 1); ?>" type="text" size="20" value="<?php echo $text; ?>" placeholder="<?php echo JText::_('EB_SEARCH_WORD'); ?>" />
        </div>
    </div>
    <?php
    if ($showFromDate)
    {
    ?>
        <div class="<?php echo $controlGroupClass; ?>">
            <div class="<?php echo $controlLabelClass; ?>"><?php echo JText::_('EB_SEARCH_FROM_DATE'); ?></div>
            <div class="<?php echo $controlsClass; ?>"><?php echo JHtml::_('calendar', $fromDate, 'filter_from_date', 'filter_from_date', $datePickerFormat, ['class' => 'input-medium' . $bootstrapHelper->getFrameworkClass('form-control')]); ?></div>
        </div>
    <?php
    }

    if ($showToDate)
    {
    ?>
        <div class="<?php echo $controlGroupClass; ?>">
            <div class="<?php echo $controlLabelClass; ?>"><?php echo JText::_('EB_SEARCH_TO_DATE'); ?></div>
            <div class="<?php echo $controlsClass; ?>"><?php echo JHtml::_('calendar', $toDate, 'filter_to_date', 'filter_to_date', $datePickerFormat, ['class' => 'input-medium' . $bootstrapHelper->getFrameworkClass('form-control')]); ?></div>
        </div>
    <?php
    }

    if ($showCategory && !$presetCategoryId)
    {
    ?>
        <div class="<?php echo $controlGroupClass; ?>">
            <div class="<?php echo $controlLabelClass; ?>"><?php echo JText::_('EB_CATEGORY'); ?></div>
            <div class="<?php echo $controlsClass; ?>"><?php echo $lists['category_id']; ?></div>
        </div>
    <?php
    }

    if ($showLocation)
    {
	?>
        <div class="<?php echo $controlGroupClass; ?>">
            <div class="<?php echo $controlLabelClass; ?>"><?php echo JText::_('EB_LOCATION'); ?></div>
            <div class="<?php echo $controlsClass; ?>"><?php echo $lists['location_id']; ?></div>
        </div>
	 <?php
    }

    if ($enableRadiusSearch)
    {
    ?>
        <div class="<?php echo $controlGroupClass; ?>">
            <div class="<?php echo $controlsClass; ?>">
                <input type="text" name="filter_address"<?php echo $bootstrapHelper->getFrameworkClass('form-control', 3); ?> placeholder="<?php echo JText::_('EB_ADDRESS_CITY_POSTCODE'); ?>" value="<?php echo htmlspecialchars($filterAddress, ENT_COMPAT, 'UTF-8'); ?>">
            </div>
        </div>
        <div class="<?php echo $controlGroupClass; ?>">
            <div class="<?php echo $controlsClass; ?>">
                <div class="<?php echo $controlsClass; ?>"><?php echo $lists['filter_distance']; ?></div>
            </div>
        </div>
    <?php
    }
    ?>
    <div class="form-actions">
        <input type="submit" class="btn btn-primary button search_button" value="<?php echo JText::_('EB_SEARCH'); ?>" />
    </div>
	<input type="hidden" name="layout" value="<?php echo $layout; ?>" />
    <?php
        if ($presetCategoryId)
        {
        ?>
            <input type="hidden" name="category_id" value="<?php echo $presetCategoryId; ?>" />
        <?php
        }
    ?>
</form>
